Package com.io7m.idstore.server.security

# Record Class IdSecAdminActionAdminPermissionGrant

java.lang.Object
java.lang.Record
com.io7m.idstore.server.security.IdSecAdminActionAdminPermissionGrant

Record Components:
  `admin` - The admin
  `targetAdmin` - The admin being updated
  `permission` - The permission to grant

All Implemented Interfaces:
  `IdSecActionType`, `IdSecAdminActionType`

public record IdSecAdminActionAdminPermissionGrant(IdAdmin admin, UUID targetAdmin, IdAdminPermission permission) extends Record implements IdSecAdminActionType
An admin wants to grant a permission to an admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdSecAdminActionAdminPermissionGrant(IdAdmin admin, UUID targetAdmin, IdAdminPermission permission)`
  An admin wants to add an email address to an admin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdAdmin`
  `admin()`
  Returns the value of the `admin` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdAdminPermission`
  `permission()`
  Returns the value of the `permission` record component.
  `UUID`
  `targetAdmin()`
  Returns the value of the `targetAdmin` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdSecAdminActionAdminPermissionGrant

    public IdSecAdminActionAdminPermissionGrant(IdAdmin admin, UUID targetAdmin, IdAdminPermission permission)
    An admin wants to add an email address to an admin.
    Parameters:
      `admin` - The admin
      `targetAdmin` - The admin being updated
      `permission` - The permission to grant

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### admin

    public IdAdmin admin()
    Returns the value of the `admin` record component.
    Specified by:
      `admin` in interface `IdSecAdminActionType`
    Returns:
      the value of the `admin` record component

  - ### targetAdmin

    public UUID targetAdmin()
    Returns the value of the `targetAdmin` record component.
    Returns:
      the value of the `targetAdmin` record component

  - ### permission

    public IdAdminPermission permission()
    Returns the value of the `permission` record component.
    Returns:
      the value of the `permission` record component